import 'package:ernaehrung/android/components/food_list_component.dart';
import 'package:ernaehrung/android/config/statistics.dart';
import 'package:flutter/material.dart';
import 'package:hive/hive.dart';
import 'meal_page_text/title_component.dart';

class MealPageStatisticsFoodComponent extends StatelessWidget {
  const MealPageStatisticsFoodComponent({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.fromLTRB(0, 16, 0, 0),
      padding: const EdgeInsets.symmetric(vertical: 8, horizontal: 16),
      decoration: const BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.all(Radius.circular(8))),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          const TitleComponent("Nahrung"),
          FoodComponent(
            box: Hive.box(StatisticsService.instance.todayStatisticsBoxName),
          )
        ],
      ),
    );
  }
}
